--- old/usr/src/lib/libc/i386_hwcap2/mapfile	Mon Jun 12 08:24:27 2017
+++ /dev/null	Mon Jun 12 08:24:26 2017
@@ -1,28 +0,0 @@
-#
-# Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-
-$mapfile_version 2
-
-CAPABILITY {
-	hw += fpu cmov amd_sysc mmx sse sse2;
-};
--- /dev/null	Mon Jun 12 08:24:26 2017
+++ new/usr/src/lib/libc/capabilities/i386-hwcap1/mapfile-cap	Mon Jun 12 08:24:27 2017
@@ -0,0 +1,43 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2017 Nexenta Systems, Inc.
+#
+
+$mapfile_version 2
+
+CAPABILITY i386-hwcap1 {
+	HW += fpu cmov sep mmx sse;
+};
+
+SYMBOL_SCOPE {
+    global:
+	_memcpy;
+	_memmove;
+	_memset;
+	memcpy;
+	memmove;
+	memset;
+    local:
+	*;
+};
